bolt.com is getting a new home → boltapp.com. Click here to transition smoothly to boltapp.com.

Skip to content

Get all subscription orders

View As MarkdownMCP
GET
/v1/subscriptions/orders

Retrieves a list of all subscription orders.

Authorization

X-API-Key<token>

In: header

Query Parameters

subscription_ids?string

Comma-separated list of subscription IDs to filter orders.

Response Body

application/json

curl -X GET "https://example.com/v1/subscriptions/orders"
[  {    "id": "so_Vni2CsDCpT0r",    "subscription_id": "s_711BJEHgNnGB",    "placement_time": "2019-08-24T14:15:22Z",    "sequence_number": 0,    "status": "done",    "total_amount": {      "amount": 0,      "currency": "string",      "currency_symbol": "string"    },    "transaction_reference": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }]